%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-kaa-base
Version:        0.2.0
Release:        1%{?dist}
Summary:        The Kaa Media - base package for python

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.freevo.org/kaa
Source0:        http://downloads.sourceforge.net/freevo/kaa-base-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

  
BuildRequires:  python-devel
BuildRequires:  glib2-devel >= 2.4.0
Requires: libxml2-python
Requires: python-lirc
Requires: python-sqlite2 >= 2.1.0

%description
The Kaa Media Repository is a set of python modules related to media.

Kaa modules are based on parts from Freevo and modules created for MeBox. 
Kaa exists to encourage code sharing between these projects, and to serve as 
an umbrella for several previously disparate media-related modules in order 
to make them available from one (unique) namespace. Kaa provides a base module 
that implements the common features needed for application development, such as
mainloop management, timers, signals, callbacks, file descriptor monitors, etc.
Kaa's other modules provide specific media-related functionality, such as 
retrieving metadata on arbitrary media files (kaa.metadata, previously 
called mmpython), Python wrappers for Imlib2, Xine, and Evas, and many other 
high level APIs for easily creating applications that deal with video and
audio.

Kaa is named after the python in the Jungle Book by Rudyard Kipling. 


%prep
%setup -q -n kaa-base-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

#Fix encoding
cp -pr AUTHORS AUTHORS.not-utf8
iconv -f ISO_8859-1 -t UTF8 AUTHORS.not-utf8 > AUTHORS
touch -r AUTHORS.not-utf8 AUTHORS
rm AUTHORS.not-utf8

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Fix perms
find $RPM_BUILD_ROOT -name "*.py" |xargs chmod 0644

# Removed unneeded shebang
for i in dispatch.py version.py nf_gtk.py nf_generic.py log.py __init__.py ;do
sed -i -e 's|#!/usr/bin/env python|#|' $RPM_BUILD_ROOT%{python_sitearch}/kaa/notifier/pynotifier/$i
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{python_sitearch}/*


%changelog
* Wed Dec 26 2007 kwizart < kwizart at gmail.com > - 0.2.0-1
- Update to 0.2.0

* Sun Aug 26 2007 kwizart < kwizart at gmail.com > - 0.1.3-4
- Rebuild for BuildID
- Update the License field

* Sat Apr 21 2007 kwizart < kwizart at gmail.com > - 0.1.3-3
- Fix Requires for python-packages

* Fri Apr 20 2007 kwizart < kwizart at gmail.com > 0.1.3-2
- Add missing BR glib2-devel

* Wed Apr 18 2007 kwizart < kwizart at gmail.com > 0.1.3-1
- Update to 0.1.3

* Tue Apr 17 2007 kwizart < kwizart at gmail.com > 0.1.2-1
- Clean spec file for Fedora guidelines

* Mon Jan 1 2007 TC Wan <tcwan@cs.usm.my>
- Initial SPEC file

